Debian Bug report logs - #725468
localepurge: [debconf_rewrite] Debconf templates and debian/control review proposal

version graph

Package: localepurge; Maintainer for localepurge is Niels Thykier <niels@thykier.net>; Source for localepurge is src:localepurge.

Reported by: Christian Perrier <bubulle@debian.org>

Date: Sun, 6 Oct 2013 06:27:11 UTC

Severity: normal

Fixed in version localepurge/0.7.3.1

Done: Niels Thykier <niels@thykier.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Niels Thykier <niels@thykier.net>:
Bug#725468; Package localepurge. (Sun, 06 Oct 2013 06:27:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
New Bug report received and forwarded. Copy sent to Niels Thykier <niels@thykier.net>.

Your message had a Version: pseudo-header with an invalid package version:

N/A

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Sun, 06 Oct 2013 06:27:15 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: localepurge: [debconf_rewrite] Debconf templates and debian/control review proposal
Date: Sun, 06 Oct 2013 08:23:11 +0200
Package: localepurge
Version: N/A
Severity: normal

Dear Debian maintainer,

Hello,

I just noticed new or modified debconf templates appearing for this
package.

I would like to suggest you to consider calling for debconf templates
review AND translation updates when you introduce new debconf
templates or modify the existing templates in a package or, if you
prefer, to send a call for translations after uploading the first
version that introduces new templates or templates changes.

If you're interested in suggestions for doing this, you can find some
at the end of this bug report.

The debian-l10n-english team will now start a review, on our own
initiative. It will be conducted through this bug report.


Suggestions for future debconf templates review
------------------------------------------------

1) Getting debconf templates reviewed
--------------------------------------

The Debian i18n contributors have developed a set of suggestions for
the writing style of debconf templates, to give them an overall
consistency all around Debian. These writing style suggestions are
explained in the Developers Reference. Lintian also warns about common
writing style concerns.

Maintainers are welcome when they ask for a review of debconf templates
and/or packages descriptions on debian-l10n-english@lists.debian.org.
It is of course not needed to wait for someone (such as me right me)
proposing you such a review.

In such situations (whether the review is requested by the maintainer
or proposed by someone else), someone from the debian-l10n-english
team will pick up the review to do, handle it, and finally send you a
bug report with the suggested templates. If you want, you can ask for
being CC'ed to the various discussions when the templates are
reviewed.


2) Call for new translations
----------------------------

As soon as the templates have been reviewed, you can ask Debian
translators for new translations:

Just go to your package's build tree and use:

$ podebconf-report-po --call

This will propose you a generic mail which is to be sent to
debian-i18n@lists.debian.org and call for new translations.

This utility will mention existing translations to avoid duplicate
work. 

It will also attach the needed material to this mail.

Please also think about giving a deadline to translators. We like
deadlines..:-)

3) Always call for translation updates before uploading
-------------------------------------------------------

(of course only when you change the debconf templates!)

If your package already includes debconf translations (ie *.po files
in debian/po), please consider calling for translation updates if you
happen to change something in the templates...or just in case when you
release a new version.

This is done with the following command:

$ podebconf-report-po

This will build private mails to translators (ie people listed in
"Last-Translator" in the PO files) for translations that are
incomplete. These mails will included the needed PO file for each
translator.


-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (101, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.10-2-686-pae (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash



Information forwarded to debian-bugs-dist@lists.debian.org, Niels Thykier <niels@thykier.net>:
Bug#725468; Package localepurge. (Fri, 11 Oct 2013 05:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Niels Thykier <niels@thykier.net>. (Fri, 11 Oct 2013 05:30:04 GMT) Full text and rfc822 format available.

Message #10 received at 725468@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 725468@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: [ITR] templates://localepurge/{localepurge.templates}
Date: Fri, 11 Oct 2013 07:20:30 +0200
[Message part 1 (text/plain, inline)]
Dear Debian maintainer,

The Debian internationalisation team and the Debian English
localisation team will soon begin the review of the debconf
templates used in localepurge.

This review takes place for all packages that use debconf to interact with
users and its aims are:
- to improve the use of English in all debconf templates;
- to make the wording of debconf templates more consistent;
- to encourage more translations of templates.

Even if your first language is English, this process is likely to help
track down typos or errors, and improve consistency between the
debconf templates of your package and that of other packages in the
distribution.

The process involves both debian-l10n-english contributors and
Debian translators.

The details of the process are given in
http://wiki.debian.org/I18n/SmithDebconfReviewProcess.

I will act as the coordinator of this activity for localepurge.

The first step of the process is to review the debconf source
template file(s) of localepurge. This review will start on Monday, October 14, 2013, or
as soon as you acknowledge this mail with an agreement for us to
carry out this process.

All parts of the process will be carried out in close collaboration
with you, and, unless you explicitely ask for it, no upload nor NMU
will happen for localepurge.

If you approve this process, please let us know by replying to this
mail. If some work in progress on your side would conflict with such a
rewrite (such as adding or removing debconf templates), please say so,
and we will defer the review to later in the development cycle.

Thank you for your attention.

-- 


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#725468; Package localepurge. (Fri, 11 Oct 2013 07:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. (Fri, 11 Oct 2013 07:51:04 GMT) Full text and rfc822 format available.

Message #15 received at 725468@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Christian PERRIER <bubulle@debian.org>, 725468@bugs.debian.org
Cc: debian-l10n-english@lists.debian.org
Subject: Re: Bug#725468: [ITR] templates://localepurge/{localepurge.templates}
Date: Fri, 11 Oct 2013 09:46:06 +0200
On 2013-10-11 07:20, Christian PERRIER wrote:
> Dear Debian maintainer,
> 
> [...]
> 

Hi,

> The first step of the process is to review the debconf source
> template file(s) of localepurge. This review will start on Monday, October 14, 2013, or
> as soon as you acknowledge this mail with an agreement for us to
> carry out this process.
> 

Thank you for working on this.  Feel free to go ahead with it.

> All parts of the process will be carried out in close collaboration
> with you, and, unless you explicitely ask for it, no upload nor NMU
> will happen for localepurge.
> 

Okay.

> If you approve this process, please let us know by replying to this
> mail. If some work in progress on your side would conflict with such a
> rewrite (such as adding or removing debconf templates), please say so,
> and we will defer the review to later in the development cycle.
> 
> Thank you for your attention.
> 

I may have to alter some templates in the future to deal with some
outstanding bugs.  In particular, #725316, #563774 and #505628 are bugs
I suspect may require changes to existing (or adding new) templates.
  Hopefully you can help me with #725316; I suspect it is not the first
time lengthy explanations have been left in a README rather than a
debconf template, so I hope you have an advice for handling this one.  :)

For #563774 and #505628, I have an idea of how to solve it, but I
suspect it might take a while for me to get it completed.  Here I
believe it would be easier just to do a (re-)review later rather than
stalling this one.

~Niels





Information forwarded to debian-bugs-dist@lists.debian.org, Niels Thykier <niels@thykier.net>:
Bug#725468; Package localepurge. (Fri, 11 Oct 2013 16:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Niels Thykier <niels@thykier.net>. (Fri, 11 Oct 2013 16:45:04 GMT) Full text and rfc822 format available.

Message #20 received at 725468@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 725468@bugs.debian.org
Cc: debian-l10n-english@lists.debian.org
Subject: Re: Bug#725468: [ITR] templates://localepurge/{localepurge.templates}
Date: Fri, 11 Oct 2013 18:40:59 +0200
[Message part 1 (text/plain, inline)]
Quoting Niels Thykier (niels@thykier.net):

> I may have to alter some templates in the future to deal with some
> outstanding bugs.  In particular, #725316, #563774 and #505628 are bugs
> I suspect may require changes to existing (or adding new) templates.
>   Hopefully you can help me with #725316; I suspect it is not the first
> time lengthy explanations have been left in a README rather than a
> debconf template, so I hope you have an advice for handling this one.  :)


Sure, it seems that #725316 can fixed by including some explanations
in the debconf template.

The limit is more or less what can be fixed in one screen as scrolling
debconf templates is not always trivial to understand for
newbies. We'll see that during the real review stage..:-)


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Niels Thykier <niels@thykier.net>:
Bug#725468; Package localepurge. (Mon, 21 Oct 2013 07:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-l10n-english@lists.debian.org:
Extra info received and forwarded to list. Copy sent to Niels Thykier <niels@thykier.net>. (Mon, 21 Oct 2013 07:48:04 GMT) Full text and rfc822 format available.

Message #25 received at 725468@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 725468@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: [RFR] templates://localepurge/{localepurge.templates}
Date: Mon, 21 Oct 2013 09:45:10 +0200
[Message part 1 (text/plain, inline)]
Please find, for review, the debconf templates and packages descriptions for the localepurge source package.

This review will last from Monday, October 21, 2013 to Thursday, October 31, 2013.

Please send reviews as unified diffs (diff -u) against the original
files. Comments about your proposed changes will be appreciated.

Your review should be sent as an answer to this mail.

When appropriate, I will send intermediate requests for review, with
"[RFRn]" (n>=2) as a subject tag.

When we will reach a consensus, I send a "Last Chance For
Comments" mail with "[LCFC]" as a subject tag.

Finally, a summary will be sent to the review bug report,
and a mail will be sent to this list with "[BTS]" as a subject tag.

Rationale:
--- localepurge.old/debian/localepurge.templates	2013-10-06 08:23:05.009303919 +0200
+++ localepurge/debian/localepurge.templates	2013-10-21 09:27:31.771790999 +0200
@@ -1,12 +1,15 @@
 Template: localepurge/nopurge
 Type: multiselect
 Choices: ${locales}
-_Description: Selecting locale files
- localepurge will remove all locale files from your system but the ones for
- the language codes you select now. Usually two character locales like "de"
- or "pt" rather than "de_DE" or "pt_BR" contain the major portion of
- localizations. So please select both for best support of your national
- language settings.  The entries from /etc/locale.gen will be preselected
+_Description: Locale files to keep on this system:
+ The localepurge package will remove all locale files from the system
+ except those that you select here.
+ .
+ It is recommended to choose locales with no country specifier (such
+ as "de", "it, etc.) as well as those that include a country code
+ ("de_DE", "de_CH", "it_IT", etc.).
+ .
+ Entries from /etc/locale.gen will be preselected
  if no prior configuration has been successfully completed.

First of all, we need the synopsis to be a "prompt"....so turning it
into oe, incuding final colon....

Also avoid starting the sentence with "localepurge" to avoid weird
ccapitalization. Use our usual trick of "The <foo> package"

Split in paragraphs for readability.

Avoid "your system" and be more neutral about whose system this is..:-)

Let's try to be clearer about the two kinds of locales (I actually
wonder if that part is really needed as people who are using the
package should know what they're doing and know what locales are
about). Don't use pt_BR as example as this is precisely an exception
where most localization lies in locales *with* a country specifier..:-))
 
 Template: localepurge/use-dpkg-feature
@@ -17,11 +20,11 @@
  from packages being installed.
  .
  Please see /usr/share/doc/localepurge/README.dpkg-path for more
- information about this feature.  It can be enabled (or disabled)
+ information about this feature. It can be enabled (or disabled)
  later by running "dpkg-reconfigure localepurge".
  .
- Caveat: Changing this option will only take affect for packages
- unpacked after localepurge has been (re)configured.  Packages
+ This option will become active for packages
+ unpacked after localepurge has been (re)configured. Packages
  installed or upgraded together with localepurge may (or may not) be
  subject to the previous configuration of localepurge.
 
1st para: drop an extra space. We standardized on *not* using those
US-style double space after fulls tops.

Drop "caveat". The fact that this is mention on a separate paragraph
should be enough. I actually wonder whether that warning really
belongs to a debconf template, particularly because of the "may (or
may not)" which is anything but clear..:-) (I understand why, but still)

@@ -29,40 +32,41 @@
 Type: boolean
 Default: false
 _Description: Really remove all locales?
- You chose not to keep any locales. This means that all locales will be
- removed from your system. Are you sure this really is what you want?
+ No locale has been chosen for being kept. This means that all locales will be
+ removed from this system. Please confirm whether this is really your
+ intent.

More neutral formulation. Avoid a question in the long description
(there is already one and that's enough).

 
 Template: localepurge/remove_no
 Type: note
-_Description: localepurge will not take any action
- localepurge will not be useful until you successfully configure it with
+_Description: No localepurge action until the package is configured
+ The localepurge package will not be useful until you successfully configure it with
  the command "dpkg-reconfigure localepurge". The configured entries from
- /etc/locale.gen of the locales package will then be automagically
+ /etc/locale.gen of the locales package will then be automatically
  preselected.

I don't really understand the purpose of this template and this is a
debconf note and "Debconf Notes Are Evil" (tm).

Still rephrase it to avoid weird capitalization and avoid having a
sentence as "title".

Also drop automagically which doesn't exist in English (and is IMHO
abused in most computer documentation).

 
 Template: localepurge/mandelete
 Type: boolean
 Default: true
 _Description: Also delete localized man pages?
- Based on the same locale information you chose above, localepurge can also
- delete superfluous localized man pages.
+ Based on the same locale information you chose, localepurge can also
+ delete localized man pages.

No "above". Depending on the debconf interface, this might be "before"
and not "above"...:-)

And the localized man pages are not superfluous....they're just not
used by this system..:-)

 
 Template: localepurge/dontbothernew
 Type: boolean
 Default: false
 _Description: Inform about new locales?
- If you are content with the selection of locales you chose to keep and
- don't want to care about whether to delete or keep newly found locales,
- just deselect this option to automatically remove new locales you probably wouldn't
- care about anyway. If you select this option, you will be given the opportunity
+ If you choose this option, you will be given the opportunity
  to decide whether to keep or delete newly introduced locales.
+ .
+ If you don't choose it, newly introduced locales will be
+ automatically dropped from the system.

Let's make this clearer about what happens when the option is chosen
or not chosen.

 
 Template: localepurge/showfreedspace
 Type: boolean
 Default: true
 _Description: Display freed disk space?
- localepurge can calculate and display the disk space freed by its
- operations and show a saved disk space summary at quitting.
+ The localepurge program can calculate and display the disk space freed by its
+ operations and show a saved disk space summary when quitting.

Avoid weird capitalization.

"at"? "when"? Justin?

 
 Template: localepurge/quickndirtycalc
 Type: boolean
@@ -70,12 +74,12 @@
 _Description: Accurate disk space calculation?
  There are two ways available to calculate freed disk space. One is
  much faster than the other but far less accurate if other changes occur
- on the filesystem during disc space calculation. The other one works more
- accurately and is therefore the preferred choice.
+ on the filesystem during disk space calculation. The other one is more
+ accurate but slower.

I usually recommend avoiding "preferred" and referring to the default
choice in a debconf template. This may have been changed by
preseeding, for instance.
 
 Template: localepurge/verbose
 Type: boolean
 Default: false
 _Description: Display verbose output?
- localepurge may be configured to explicitly show which locale files it
+ The localepurge program may be configured to explicitly show which locale files it
  deletes. This possibly causes a lot of screen output.

Again, capitalization

--- localepurge.old/debian/control	2013-10-06 08:23:05.009303919 +0200
+++ localepurge/debian/control	2013-10-21 09:30:14.820172521 +0200
@@ -11,23 +11,23 @@
 Architecture: all
 Depends: ${misc:Depends}, locales, ucf, debconf | debconf-2.0, procps
 Suggests: debfoster, deborphan, bleachbit
-Description: Reclaim disk space removing unneeded localizations
- This is a script to recover disk space wasted for unneeded locales,
+Description: reclaim disk space by removing unneeded localizations
+ This package provides a script to recover disk space wasted for unneeded locales,
  Gnome/KDE localizations and localized man pages. Depending on the
- installation, it is possible to save some 200, 300, or even more
- mega bytes of disk space dedicated for localization you will most
- probably never have any use for. It is run automagically upon 
- completion of any apt installation actions.
+ installation, it is possible to save hundreds of
+ megabytes of disk space dedicated for localization you will most
+ probably never have any use for. It is run automatically upon 
+ completion of any APT installation actions.
  .
- Please note, that this tool is a hack which is *not* integrated with
- Debian's package management system and therefore is not for the faint
- of heart. This program interferes with the Debian package management 
+ Please note that this tool is a hack which is *not* integrated with
+ the system's package management and therefore is not for the faint
+ of heart. This program interferes with the package management 
  and does provoke strange, but usually harmless, behaviour of programs
  related with apt/dpkg like dpkg-repack, reportbug, etc.
- Responsibility for its usage and possible breakage of your system
- therefore lies in the sysadmin's (your) hands. 
+ Responsibility for its usage and possible breakage of the system
+ therefore lies in the system administrator's hands. 
  .
- Please definitely do abstain from reporting any such bugs blaming
- localepurge if you break your system by using it. If you don't know
- what you are doing and can't handle any resulting breakage on your own
- then please simply don't use this package.
+ Please do abstain from reporting any such bugs blaming
+ localepurge if you break the system by using it. If you don't know
+ what you are doing and can't handle any resulting breakage, you should
+ not install this package.

Synopsis should not start with a capital letter. Adding "by" (Justin?)

Unpersonnalize the package description ("your" system, etc.)

IMHO, the last paragraph is useless and (even on purpose) too
frightening....Keeping it anyway as I guess this is your purpose to be
frightening..:-)



-- 

[localepurge.templates (text/plain, attachment)]
[patch.rfr (text/plain, attachment)]
[control (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#725468; Package localepurge. (Mon, 21 Oct 2013 08:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. (Mon, 21 Oct 2013 08:33:08 GMT) Full text and rfc822 format available.

Message #30 received at 725468@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: debian-l10n-english@lists.debian.org, 725468@bugs.debian.org
Subject: Re: Bug#725468: [RFR] templates://localepurge/{localepurge.templates}
Date: Mon, 21 Oct 2013 10:30:21 +0200
On 2013-10-21 09:45, Christian PERRIER wrote:
> Please find, for review, the debconf templates and packages descriptions for the localepurge source package.
> 
> This review will last from Monday, October 21, 2013 to Thursday, October 31, 2013.
> 
> Please send reviews as unified diffs (diff -u) against the original
> files. Comments about your proposed changes will be appreciated.
> 
> Your review should be sent as an answer to this mail.
> 
> When appropriate, I will send intermediate requests for review, with
> "[RFRn]" (n>=2) as a subject tag.
> 
> When we will reach a consensus, I send a "Last Chance For
> Comments" mail with "[LCFC]" as a subject tag.
> 
> Finally, a summary will be sent to the review bug report,
> and a mail will be sent to this list with "[BTS]" as a subject tag.
> 

Thank you for the review.

> Rationale:
> --- localepurge.old/debian/localepurge.templates	2013-10-06 08:23:05.009303919 +0200
> +++ localepurge/debian/localepurge.templates	2013-10-21 09:27:31.771790999 +0200
> @@ -1,12 +1,15 @@
>  Template: localepurge/nopurge
>  Type: multiselect
>  Choices: ${locales}
> -_Description: Selecting locale files
> - localepurge will remove all locale files from your system but the ones for
> - the language codes you select now. Usually two character locales like "de"
> - or "pt" rather than "de_DE" or "pt_BR" contain the major portion of
> - localizations. So please select both for best support of your national
> - language settings.  The entries from /etc/locale.gen will be preselected
> +_Description: Locale files to keep on this system:
> + The localepurge package will remove all locale files from the system
> + except those that you select here.
> + .
> + It is recommended to choose locales with no country specifier (such
> + as "de", "it, etc.) as well as those that include a country code
> + ("de_DE", "de_CH", "it_IT", etc.).
> + .
> + Entries from /etc/locale.gen will be preselected
>   if no prior configuration has been successfully completed.
> 
> First of all, we need the synopsis to be a "prompt"....so turning it
> into oe, incuding final colon....
> 

I am not familiar with the "oe"-term, could you perhaps explain what it
means?

> Also avoid starting the sentence with "localepurge" to avoid weird
> ccapitalization. Use our usual trick of "The <foo> package"
> 
> Split in paragraphs for readability.
> 
> Avoid "your system" and be more neutral about whose system this is..:-)
> 

Noted.

> Let's try to be clearer about the two kinds of locales (I actually
> wonder if that part is really needed as people who are using the
> package should know what they're doing and know what locales are
> about). Don't use pt_BR as example as this is precisely an exception
> where most localization lies in locales *with* a country specifier..:-))
>  

I believe the problem is that localepurge is a bit dumb (I only
"recently" took over the package, so forgive my vagueless here).
Basically, it will keep

   /usr/share/locale/$VALUE/

Honestly, I doubt most localepurge-users are aware of the consequences
of only keeping "en_GB.UTF-8" vs "en en_GB en_GB.UTF-8" (without that
warning).

That said, I believe it would be a lot better if localepurge would
detect something like "en_GB.UTF-8" and propose to also keep "en en_GB"
as well.

>  Template: localepurge/use-dpkg-feature
> @@ -17,11 +20,11 @@
>   from packages being installed.
>   .
>   Please see /usr/share/doc/localepurge/README.dpkg-path for more
> - information about this feature.  It can be enabled (or disabled)
> + information about this feature. It can be enabled (or disabled)
>   later by running "dpkg-reconfigure localepurge".
>   .
> - Caveat: Changing this option will only take affect for packages
> - unpacked after localepurge has been (re)configured.  Packages
> + This option will become active for packages
> + unpacked after localepurge has been (re)configured. Packages
>   installed or upgraded together with localepurge may (or may not) be
>   subject to the previous configuration of localepurge.
>  
> 1st para: drop an extra space. We standardized on *not* using those
> US-style double space after fulls tops.
> 
> Drop "caveat". The fact that this is mention on a separate paragraph
> should be enough. I actually wonder whether that warning really
> belongs to a debconf template, particularly because of the "may (or
> may not)" which is anything but clear..:-) (I understand why, but still)
> 

Noted.

> @@ -29,40 +32,41 @@
>  Type: boolean
>  Default: false
>  _Description: Really remove all locales?
> - You chose not to keep any locales. This means that all locales will be
> - removed from your system. Are you sure this really is what you want?
> + No locale has been chosen for being kept. This means that all locales will be
> + removed from this system. Please confirm whether this is really your
> + intent.
> 
> More neutral formulation. Avoid a question in the long description
> (there is already one and that's enough).
> 

Ok.

>  
>  Template: localepurge/remove_no
>  Type: note
> -_Description: localepurge will not take any action
> - localepurge will not be useful until you successfully configure it with
> +_Description: No localepurge action until the package is configured
> + The localepurge package will not be useful until you successfully configure it with
>   the command "dpkg-reconfigure localepurge". The configured entries from
> - /etc/locale.gen of the locales package will then be automagically
> + /etc/locale.gen of the locales package will then be automatically
>   preselected.
> 
> I don't really understand the purpose of this template and this is a
> debconf note and "Debconf Notes Are Evil" (tm).
> 

It is a gem I have inherited. :P  It is used if the "above" confirmation
to remove all locales get a negative respons.  I suppose it ought to go
back and allow the user to choose something different, but then the user
could get stuck in a loop (if they want to stop and look up something
first).

Maybe I can have it go back to a "menu-ish" thing like d-i... :P

> Still rephrase it to avoid weird capitalization and avoid having a
> sentence as "title".
> 
> Also drop automagically which doesn't exist in English (and is IMHO
> abused in most computer documentation).
> 

Noted.

>  
>  Template: localepurge/mandelete
>  Type: boolean
>  Default: true
>  _Description: Also delete localized man pages?
> - Based on the same locale information you chose above, localepurge can also
> - delete superfluous localized man pages.
> + Based on the same locale information you chose, localepurge can also
> + delete localized man pages.
> 
> No "above". Depending on the debconf interface, this might be "before"
> and not "above"...:-)
> 
> And the localized man pages are not superfluous....they're just not
> used by this system..:-)
> 

Ack.

>  
>  Template: localepurge/dontbothernew
>  Type: boolean
>  Default: false
>  _Description: Inform about new locales?
> - If you are content with the selection of locales you chose to keep and
> - don't want to care about whether to delete or keep newly found locales,
> - just deselect this option to automatically remove new locales you probably wouldn't
> - care about anyway. If you select this option, you will be given the opportunity
> + If you choose this option, you will be given the opportunity
>   to decide whether to keep or delete newly introduced locales.
> + .
> + If you don't choose it, newly introduced locales will be
> + automatically dropped from the system.
> 
> Let's make this clearer about what happens when the option is chosen
> or not chosen.
> 
> 

Seems better indeed.


>  Template: localepurge/showfreedspace
>  Type: boolean
>  Default: true
>  _Description: Display freed disk space?
> - localepurge can calculate and display the disk space freed by its
> - operations and show a saved disk space summary at quitting.
> + The localepurge program can calculate and display the disk space freed by its
> + operations and show a saved disk space summary when quitting.
> 
> Avoid weird capitalization.
> 
> "at"? "when"? Justin?
> 

Ack on the capitialization, but I don't understand the one-word
questions you asked here.

>  
>  Template: localepurge/quickndirtycalc
>  Type: boolean
> @@ -70,12 +74,12 @@
>  _Description: Accurate disk space calculation?
>   There are two ways available to calculate freed disk space. One is
>   much faster than the other but far less accurate if other changes occur
> - on the filesystem during disc space calculation. The other one works more
> - accurately and is therefore the preferred choice.
> + on the filesystem during disk space calculation. The other one is more
> + accurate but slower.
> 
> I usually recommend avoiding "preferred" and referring to the default
> choice in a debconf template. This may have been changed by
> preseeding, for instance.

Okay.

> [...]
> 
> --- localepurge.old/debian/control	2013-10-06 08:23:05.009303919 +0200
> +++ localepurge/debian/control	2013-10-21 09:30:14.820172521 +0200
> @@ -11,23 +11,23 @@
>  Architecture: all
>  Depends: ${misc:Depends}, locales, ucf, debconf | debconf-2.0, procps
>  Suggests: debfoster, deborphan, bleachbit
> -Description: Reclaim disk space removing unneeded localizations
> - This is a script to recover disk space wasted for unneeded locales,
> +Description: reclaim disk space by removing unneeded localizations
> + This package provides a script to recover disk space wasted for unneeded locales,
>   Gnome/KDE localizations and localized man pages. Depending on the
> - installation, it is possible to save some 200, 300, or even more
> - mega bytes of disk space dedicated for localization you will most
> - probably never have any use for. It is run automagically upon 
> - completion of any apt installation actions.
> + installation, it is possible to save hundreds of
> + megabytes of disk space dedicated for localization you will most
> + probably never have any use for. It is run automatically upon 
> + completion of any APT installation actions.
>   .
> - Please note, that this tool is a hack which is *not* integrated with
> - Debian's package management system and therefore is not for the faint
> - of heart. This program interferes with the Debian package management 
> + Please note that this tool is a hack which is *not* integrated with
> + the system's package management and therefore is not for the faint
> + of heart. This program interferes with the package management 
>   and does provoke strange, but usually harmless, behaviour of programs
>   related with apt/dpkg like dpkg-repack, reportbug, etc.
> - Responsibility for its usage and possible breakage of your system
> - therefore lies in the sysadmin's (your) hands. 
> + Responsibility for its usage and possible breakage of the system
> + therefore lies in the system administrator's hands. 
>   .
> - Please definitely do abstain from reporting any such bugs blaming
> - localepurge if you break your system by using it. If you don't know
> - what you are doing and can't handle any resulting breakage on your own
> - then please simply don't use this package.
> + Please do abstain from reporting any such bugs blaming
> + localepurge if you break the system by using it. If you don't know
> + what you are doing and can't handle any resulting breakage, you should
> + not install this package.
> 
> Synopsis should not start with a capital letter. Adding "by" (Justin?)
> 
> Unpersonnalize the package description ("your" system, etc.)
> 

Ok

> IMHO, the last paragraph is useless and (even on purpose) too
> frightening....Keeping it anyway as I guess this is your purpose to be
> frightening..:-)
> 
> 
> 

Actually, it was the previous maintainers intention.  :)  I want to make
localepurge use supported interfaces (see the dpkg-path feature) instead
of its "ad-hoc deletion"-method (which is still the default though).
  I will probably delete that paragraph in a (hopefully) not too distant
future.  :)

~Niels





Information forwarded to debian-bugs-dist@lists.debian.org, Niels Thykier <niels@thykier.net>:
Bug#725468; Package localepurge. (Mon, 21 Oct 2013 10:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Justin B Rye <justin.byam.rye@gmail.com>:
Extra info received and forwarded to list. Copy sent to Niels Thykier <niels@thykier.net>. (Mon, 21 Oct 2013 10:03:04 GMT) Full text and rfc822 format available.

Message #35 received at 725468@bugs.debian.org (full text, mbox):

From: Justin B Rye <justin.byam.rye@gmail.com>
To: debian-l10n-english@lists.debian.org
Cc: 725468@bugs.debian.org
Subject: Re: [RFR] templates://localepurge/{localepurge.templates}
Date: Mon, 21 Oct 2013 11:00:38 +0100
[Message part 1 (text/plain, inline)]
Christian PERRIER wrote:
> @@ -1,12 +1,15 @@
>  Template: localepurge/nopurge
>  Type: multiselect
>  Choices: ${locales}
> +_Description: Locale files to keep on this system:
> + The localepurge package will remove all locale files from the system
> + except those that you select here.
> + .
> + It is recommended to choose locales with no country specifier (such
> + as "de", "it, etc.) as well as those that include a country code
                ^"
> + ("de_DE", "de_CH", "it_IT", etc.).
> + .
> + Entries from /etc/locale.gen will be preselected
>   if no prior configuration has been successfully completed.
>
> First of all, we need the synopsis to be a "prompt"....so turning it
> into oe, incuding final colon....
       
(For Niels's benefit: s/oe/one/)

The trouble with that middle paragraph is that it sounds as if it's
telling me to pick *all* the xx and xx_XX locales, when in fact the
advice was that I should just keep en and en_GB and purge all the
en_US and so on.  (Is that really a good idea, though?)

Maybe:

    When selecting the locale corresponding to your language and country
    code (such as "de_DE", "de_CH", "it_IT", etc.) it is recommended to
    choose the two-character entry ("de", "it", etc.) as well.
 
>  Template: localepurge/use-dpkg-feature
[...]
>  Template: localepurge/none_selected

Look OK.

>  Template: localepurge/remove_no

(This made me think "why does Norwegian get special treatment?" - I
need more coffee.)

>  Type: note
> +_Description: No localepurge action until the package is configured
> + The localepurge package will not be useful until you successfully configure it with
>   the command "dpkg-reconfigure localepurge". The configured entries from
> + /etc/locale.gen of the locales package will then be automatically
>   preselected.

Or since it'll also work if my assistant configures it:

    The localepurge package will not be useful until it has been successfully
    configured using the command "dpkg-reconfigure localepurge". [...]
  
>  Template: localepurge/mandelete
>  Type: boolean
>  Default: true
>  _Description: Also delete localized man pages?
> + Based on the same locale information you chose, localepurge can also
> + delete localized man pages.
> 
> No "above". Depending on the debconf interface, this might be "before"
> and not "above"...:-)
> 
> And the localized man pages are not superfluous....they're just not
> used by this system..:-)

Well, if I don't need them then they're superfluous here.  But the
sentence still works without that word, so it seems appropriate to
leave it out!

I don't really like that use of "based on", but I'm not sure what my
dislike is based on.
  
>  Template: localepurge/dontbothernew
>  Type: boolean
>  Default: false
>  _Description: Inform about new locales?
> + If you choose this option, you will be given the opportunity
>   to decide whether to keep or delete newly introduced locales.
> + .
> + If you don't choose it, newly introduced locales will be
> + automatically dropped from the system.

I've never quite been able to understand why anyone would want this;
is it for people who are concerned that their nation might soon
fragment into sub-codes, or what?
  
>  Template: localepurge/showfreedspace
>  Type: boolean
>  Default: true
>  _Description: Display freed disk space?
> + The localepurge program can calculate and display the disk space freed by its
> + operations and show a saved disk space summary when quitting.
> 
> Avoid weird capitalization.
> 
> "at"? "when"? Justin?

If the idea is that there are two different displays, a per-action
freed space calculation and a final total, it might be clearer as:

    The localepurge program can display the disk space freed by each
    operation, and show a final summary of saved disk space.
  
>  Template: localepurge/quickndirtycalc
[...]
>   There are two ways available to calculate freed disk space. One is
>   much faster than the other but far less accurate if other changes occur
> + on the filesystem during disk space calculation. The other one is more
> + accurate but slower.

Nitpick: s/filesystem/file system/
  
>  Template: localepurge/verbose
>  Type: boolean
>  Default: false
>  _Description: Display verbose output?
> + The localepurge program may be configured to explicitly show which locale files it
>   deletes. This possibly causes a lot of screen output.

Slightly odd modality stuff there:

    The localepurge program can be configured to explicitly show which
    locale files it deletes. This may cause a lot of screen output.

Control file:
>  Suggests: debfoster, deborphan, bleachbit
> -Description: Reclaim disk space removing unneeded localizations
> +Description: reclaim disk space by removing unneeded localizations
[...]
> Synopsis should not start with a capital letter. Adding "by" (Justin?)

That makes it a better verb phrase.  The recommended construction
is a noun phrase - something more like:
   Description: tool for reclaiming disk space from unneeded localizations
but I'm not sure this is worth the effort, given that I don't know
whether I'd call it a "tool" or a "system" or what.

> + This package provides a script to recover disk space wasted for unneeded locales,
>   Gnome/KDE localizations and localized man pages. Depending on the
    ^^^^^
s/Gnome/GNOME/

> + installation, it is possible to save hundreds of
> + megabytes of disk space dedicated for localization you will most

s/dedicated for/taken up by/

> + probably never have any use for. It is run automatically upon 
> + completion of any APT installation actions.
>   .
> + Please note that this tool is a hack which is *not* integrated with

Two paragraphs beginning with "please" gives me politeness fatigue.
This one could equally well just start with "This tool is..."

> + the system's package management and therefore is not for the faint
> + of heart. This program interferes with the package management 
>   and does provoke strange, but usually harmless, behaviour of programs
>   related with apt/dpkg like dpkg-repack, reportbug, etc.

And then this sentence is rather repetitive, and has some minor
problems (such as en_GB -our alongside en_US -ize).

    This tool is a hack which is *not* integrated with the system's
    package management system and therefore is not for the faint of heart.
    Its interference can provoke strange, but usually harmless, behavior in
    programs related to apt/dpkg, such as dpkg-repack, reportbug, etc.

> + Responsibility for its usage and possible breakage of the system
> + therefore lies in the system administrator's hands. 
>   .
> + Please do abstain from reporting any such bugs blaming
> + localepurge if you break the system by using it. If you don't know
> + what you are doing and can't handle any resulting breakage, you should
> + not install this package.

Strictly speaking I don't think "such bugs" has anything to refer back
to, but it seems to work anyway.

Oops, and I've re-wrapped it.
-- 
JBR	with qualifications in linguistics, experience as a Debian
	sysadmin, and probably no clue about this particular package
[patch.jbr (text/plain, attachment)]
[localepurge.templates (text/plain, attachment)]
[control (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Niels Thykier <niels@thykier.net>:
Bug#725468; Package localepurge. (Mon, 21 Oct 2013 17:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Niels Thykier <niels@thykier.net>. (Mon, 21 Oct 2013 17:48:04 GMT) Full text and rfc822 format available.

Message #40 received at 725468@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Niels Thykier <niels@thykier.net>, 725468@bugs.debian.org
Cc: debian-l10n-english@lists.debian.org
Subject: Re: Bug#725468: [RFR] templates://localepurge/{localepurge.templates}
Date: Mon, 21 Oct 2013 19:44:10 +0200
[Message part 1 (text/plain, inline)]
Quoting Niels Thykier (niels@thykier.net):

> > First of all, we need the synopsis to be a "prompt"....so turning it
> > into oe, incuding final colon....
> > 
> 
> I am not familiar with the "oe"-term, could you perhaps explain what it
> means?

Add an "n" between to "o" and the "e" and that will help..:-)

> >  _Description: Display freed disk space?
> > - localepurge can calculate and display the disk space freed by its
> > - operations and show a saved disk space summary at quitting.
> > + The localepurge program can calculate and display the disk space freed by its
> > + operations and show a saved disk space summary when quitting.
> > 
> > Avoid weird capitalization.
> > 
> > "at"? "when"? Justin?
> > 
> 
> Ack on the capitialization, but I don't understand the one-word
> questions you asked here.

I changed "saved disk space summary at quitting" by "saved disk space
summary *when* quitting"


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Niels Thykier <niels@thykier.net>:
Bug#725468; Package localepurge. (Mon, 21 Oct 2013 17:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Niels Thykier <niels@thykier.net>. (Mon, 21 Oct 2013 17:51:04 GMT) Full text and rfc822 format available.

Message #45 received at 725468@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: debian-l10n-english@lists.debian.org, 725468@bugs.debian.org
Subject: Re: Bug#725468: [RFR] templates://localepurge/{localepurge.templates}
Date: Mon, 21 Oct 2013 19:49:58 +0200
[Message part 1 (text/plain, inline)]
Quoting Justin B Rye (justin.byam.rye@gmail.com):
> >  Template: localepurge/remove_no
> 
> (This made me think "why does Norwegian get special treatment?" - I
> need more coffee.)


You made my day..:-)

> >  Type: note
> > +_Description: No localepurge action until the package is configured
> > + The localepurge package will not be useful until you successfully configure it with
> >   the command "dpkg-reconfigure localepurge". The configured entries from
> > + /etc/locale.gen of the locales package will then be automatically
> >   preselected.
> 
> Or since it'll also work if my assistant configures it:

And you did it again. I would define this as "typical British humor"
and I like that..:-)


> >  _Description: Inform about new locales?
> > + If you choose this option, you will be given the opportunity
> >   to decide whether to keep or delete newly introduced locales.
> > + .
> > + If you don't choose it, newly introduced locales will be
> > + automatically dropped from the system.
> 
> I've never quite been able to understand why anyone would want this;
> is it for people who are concerned that their nation might soon
> fragment into sub-codes, or what?

The point is probably whether or not one wants to drop the
Whateveristan locale when it is added to glibc and some
whateveristani person starts translating dpkg in that language...


.../...

All other Justin nitpickisms will, of course, be included in my
revised version, as usual.


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Niels Thykier <niels@thykier.net>:
Bug#725468; Package localepurge. (Fri, 01 Nov 2013 08:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Niels Thykier <niels@thykier.net>. (Fri, 01 Nov 2013 08:12:04 GMT) Full text and rfc822 format available.

Message #50 received at 725468@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 725468@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: [LCFC] templates://localepurge/{localepurge.templates}
Date: Fri, 1 Nov 2013 09:08:45 +0100
[Message part 1 (text/plain, inline)]
This is the last call for comments for the review of debconf
templates for localepurge.

The reviewed templates will be sent on Sunday, November 03, 2013 to this bug report
and a mail will be sent to this list with "[BTS]" as a subject tag.


-- 


[localepurge.templates (text/plain, attachment)]
[control (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Niels Thykier <niels@thykier.net>:
Bug#725468; Package localepurge. (Mon, 04 Nov 2013 06:48:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Niels Thykier <niels@thykier.net>. (Mon, 04 Nov 2013 06:48:09 GMT) Full text and rfc822 format available.

Message #55 received at 725468@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 725468@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: [BTS#725468] templates://localepurge/{localepurge.templates} : Final update for English review
Date: Mon, 4 Nov 2013 07:45:29 +0100
[Message part 1 (text/plain, inline)]
Dear Debian maintainer,

On Friday, October 11, 2013, I notified you of the beginning of a review process
concerning debconf templates for localepurge.

The debian-l10n-english contributors have now reviewed these templates,
and the final proposed changes are attached to this update to the
original bug report.

Please review the suggested changes, and if you have any
objections, let me know in the next 3 days.

However, please try to avoid uploading localepurge with these changes
right now.

The second phase of this process will begin on Thursday, November 07, 2013, when I will
coordinate updates to translations of debconf templates.

The existing translators will be notified of the changes: they will
receive an updated PO file for their language.

Simultaneously, a general call for new translations will be sent to
the debian-i18n mailing list.

Both these calls for translations will request updates to be sent as
individual bug reports. That will probably trigger a lot of bug
reports against your package, but these should be easier to deal with.

The call for translation updates and new translations will run until
about Thursday, November 28, 2013. Please avoid uploading a package with fixed or changed
debconf templates and/or translation updates in the meantime. Of
course, other changes are safe.

Please note that this is an approximative delay, which depends on my
own availability to process this work and is influenced by the fact
that I simultaneously work on many packages.

Around Friday, November 29, 2013, I will contact you again and will send a final patch
summarizing all the updates (changes to debconf templates,
updates to debconf translations and new debconf translations).

Again, thanks for your attention and cooperation.


-- 


[localepurge.templates (text/plain, attachment)]
[control (text/plain, attachment)]
[patch (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Niels Thykier <niels@thykier.net>:
Bug#725468; Package localepurge. (Tue, 26 Nov 2013 06:12:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Niels Thykier <niels@thykier.net>. (Tue, 26 Nov 2013 06:12:09 GMT) Full text and rfc822 format available.

Message #60 received at 725468@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 725468@bugs.debian.org
Subject: localepurge: General update after the debconf review process
Date: Tue, 26 Nov 2013 07:08:56 +0100
[Message part 1 (text/plain, inline)]
Dear Debian maintainer,

On Friday, October 11, 2013, I sent you a notification about the beginning of a review
action on debconf templates for localepurge.

Then, I sent you a bug report with rewritten templates and announcing
the beginning of the second phase of this action: call for translation
updates.

Translators have been working hard and here is now the result of their efforts.

Please consider using it EVEN if you committed files to your
development tree as long as they were reported.

The attached tarball contains:

- debian/changelog with the list of changes
- debian/control with rewrites of packages' descriptions
- debian/<templates> with all the rewritten templates file(s)
- debian/po/*.po with all PO files (existing ones and new ones)

As said, please use *at least* the PO files as provided here,
preferrably over those sent by translators in their bug reports. All
of them have been checked and reformatted. In some cases, formatting
errors have been corrected.

The patch.rfr file contains a patch for the templates and control
file(s) alone.

Please note that this patch applies to the templates and control
file(s) of your package as of Friday, October 11, 2013. If your package was updated
in the meantime, I may have updated my reference copy....but I also
may have missed that. This is indeed why I suggested you do not
modified such files while the review process was running,
remember..:-)

It is now safe to upload a new package version with these changes.

Please notify me of your intents with regards to this. 

There is of course no hurry to update your package but feel free to
contact me in case you would need sponsoring or any other action to
fix this.



-- 


[patch.tar.gz (application/octet-stream, attachment)]
[patch.rfr (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#725468; Package localepurge. (Tue, 03 Dec 2013 20:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. (Tue, 03 Dec 2013 20:39:04 GMT) Full text and rfc822 format available.

Message #65 received at 725468@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Christian PERRIER <bubulle@debian.org>, 725468@bugs.debian.org
Subject: Re: Bug#725468: localepurge: General update after the debconf review process
Date: Tue, 03 Dec 2013 21:36:22 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

On 2013-11-26 07:08, Christian PERRIER wrote:
> Dear Debian maintainer,
> 
> On Friday, October 11, 2013, I sent you a notification about the
> beginning of a review action on debconf templates for localepurge.
> 
> Then, I sent you a bug report with rewritten templates and
> announcing the beginning of the second phase of this action: call
> for translation updates.
> 
> Translators have been working hard and here is now the result of
> their efforts.
> 
> Please consider using it EVEN if you committed files to your 
> development tree as long as they were reported.
> 
> [...]
> 
> Please notify me of your intents with regards to this.
> 
> There is of course no hurry to update your package but feel free
> to contact me in case you would need sponsoring or any other action
> to fix this.
> 

Hi Christian (and translators),

Thanks for doing all of this; it is much appreciated.

I am a bit pressed for time and localepurge is sadly being down
prioritised as result.  Feel free to (have someone) NMU it, even
without delay (lowNMU threshold).


Once again thanks,
~Niels

PS:  Bonus if you commit your changes to the git repository. :)


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)
Comment: Using GnuPG with Icedove - http://www.enigmail.net/

iQIcBAEBCAAGBQJSnkDAAAoJEAVLu599gGRCzdkP/0PMW4WDWQSAG4cdfXgAHI56
EYD1BiIdT397C/3fuWz6cA+WDlCnd2xyBJQzGRGqY18AvXOg9s3om/u6b5vAxPss
unFdmgPpNwhpCRtxmh9d4NELugPjJOzbElZzwIxnuVgR/ws/6A2PBBpj2Ct4mrbc
yrhen38uQ4dEvd3JpY2eA+6kXKgmCeiHnms79oToUhGcMWNSrmXaxC6raLG+WCtK
9fNZRhVyrcn/TUJj0jYGBPBFWr+siQkcwRRkEGIkXq7YDAl+kk/2VtiXE9DUF9Rr
3X5qJnmvI39MCwk1D9yD9ywV+MrQl0m+hBEeni1YnTbZwalfNfLr46GeFSi8FfO4
ipsTXxlnARdEh0XsMuBZEYiMIhKc94uzhpRamE3z4VgCD57k2xxe2t2td7JgWfP5
iDMcozz5bGDOxNnOnk1eUY61E8FPScEQvtGNk5IWL7JQDLUVWy8Kh0QvERtCrbb1
wk6L4xeEnOurVMBHI1pZHpY7U7JuBDLhUBshe+5L0m7ySL5xKONEi0KlOfcUV9Wk
r5mSHigwsd2xWovkQ5gsFi95i5Amupiuyk/UiLux9LTDWJFhX/3N+/b9vhyAe9jB
LBTmCVZHGk+akXQzsHBxVUUS3uTt9OdQ9xjZ3gqL4nrtuN1HYWgPZq6f0jwjI97P
Hbrz49kvLsLK/9MYw6yp
=glka
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Niels Thykier <niels@thykier.net>:
Bug#725468; Package localepurge. (Wed, 04 Dec 2013 07:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Niels Thykier <niels@thykier.net>. (Wed, 04 Dec 2013 07:12:08 GMT) Full text and rfc822 format available.

Message #70 received at 725468@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Niels Thykier <niels@thykier.net>, 725468@bugs.debian.org
Subject: Re: Bug#725468: localepurge: General update after the debconf review process
Date: Wed, 4 Dec 2013 06:49:53 +0100
[Message part 1 (text/plain, inline)]
Quoting Niels Thykier (niels@thykier.net):

> Hi Christian (and translators),
> 
> Thanks for doing all of this; it is much appreciated.
> 
> I am a bit pressed for time and localepurge is sadly being down
> prioritised as result.  Feel free to (have someone) NMU it, even
> without delay (lowNMU threshold).


No problem, there's no hurry. I'll eventually be back jumping on your
toes when it'll be time to think about l10n stats for jessie, so
probably like 6 months before the planned freeze, so you have plenty
of time..:-)


[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Wed, 01 Jan 2014 10:06:16 GMT) Full text and rfc822 format available.

Reply sent to Niels Thykier <niels@thykier.net>:
You have taken responsibility. (Wed, 01 Jan 2014 10:36:10 GMT) Full text and rfc822 format available.

Notification sent to Christian Perrier <bubulle@debian.org>:
Bug acknowledged by developer. (Wed, 01 Jan 2014 10:36:10 GMT) Full text and rfc822 format available.

Message #77 received at 725468-close@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: 725468-close@bugs.debian.org
Subject: Bug#725468: fixed in localepurge 0.7.3.1
Date: Wed, 01 Jan 2014 10:33:35 +0000
Source: localepurge
Source-Version: 0.7.3.1

We believe that the bug you reported is fixed in the latest version of
localepurge, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 725468@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Niels Thykier <niels@thykier.net> (supplier of updated localepurge package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 01 Jan 2014 11:21:11 +0100
Source: localepurge
Binary: localepurge
Architecture: source all
Version: 0.7.3.1
Distribution: unstable
Urgency: low
Maintainer: Niels Thykier <niels@thykier.net>
Changed-By: Niels Thykier <niels@thykier.net>
Description: 
 localepurge - reclaim disk space by removing unneeded localizations
Closes: 725468 729105 729152 729413 729464 729604 729784 730173 730223 730295 730334 730339 730480 733730
Changes: 
 localepurge (0.7.3.1) unstable; urgency=low
 .
   [ Niels Thykier ]
   * Bump Standards-Versions to 3.9.5 - no changes required.
 .
   [ Christian Perrier ]
   * Debconf templates and debian/control reviewed by the debian-l10n-
     english team as part of the Smith review project. Closes: #725468
 .
   [Debconf translation updates]
   * Russian (Yuri Kozlov).  Closes: #729105
   * Danish (Joe Hansen).  Closes: #729152
   * Slovak (Slavko).  Closes: #729413
   * Basque (Iñaki Larrañaga Murgoitio).  Closes: #729464
   * Polish (Michał Kułach).  Closes: #729604
   * German (Frank Stähr).  Closes: #729784
   * Japanese (Atsushi Shimono).  Closes: #730173
   * Italian (Beatrice Torracca).  Closes: #730223
   * French (Christian Perrier).  Closes: #730295
   * Czech (Miroslav Kure).  Closes: #730334
   * Portuguese (Américo Monteiro).  Closes: #730339
   * Swedish (Martin Bagge / brother).  Closes: #730480
   * Spanish (Matías A. Bellone). Closes: #733730
Checksums-Sha1: 
 2b4851cea55401c78ac80ea7269760afb3fd1058 1570 localepurge_0.7.3.1.dsc
 4bce822d483b0f7b843acf6e261643baeaa88384 62032 localepurge_0.7.3.1.tar.gz
 74da3a2ccf8c3c6a975f7030a8cee39ed844ced0 47114 localepurge_0.7.3.1_all.deb
Checksums-Sha256: 
 7af71806cce67435905f91aea261e52b735f979a86de7f6c8350ca6e0bd7de2f 1570 localepurge_0.7.3.1.dsc
 d3b9f7a280211b049647b0c873be10830bb1e035adb9646a7211fae0809e87d0 62032 localepurge_0.7.3.1.tar.gz
 af7df9cfd82f1c4ac686c0ecaac2c46a99c11318bd5cfd5e22d61b4cdfb6679a 47114 localepurge_0.7.3.1_all.deb
Files: 
 f9fa6679ccc55c22ddc5d6a15ec9dd13 1570 admin optional localepurge_0.7.3.1.dsc
 0a76d8dff814ff394d12229bf030cba4 62032 admin optional localepurge_0.7.3.1.tar.gz
 2a4cae76e25ee441d3be2e4a4f7510d3 47114 admin optional localepurge_0.7.3.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJSw+xYAAoJEAVLu599gGRC//4QAJbU0Obg8Ai48CCz29m9Eh75
zdMFgwqYvOm0Xzm6q14AFy16Y33dbmFdIWJBShdclQIpn4w1edeAMbBOJoPeEgE0
J9UVh20u+0kwGIJ7jWbugiXvcCjnOMjnp3v9BuL41opUQmjXxhTnESGcB7WMlItv
mmW2w8GkcUXdTnxS8zv9gjHkFdgJWXuyzbjQKy+AiV3RlClqBOmLEQCNoDgbNWqZ
zwKWJ08Wznvua6DbiTijQowHPD70h/ChGv/9miMIXLlA2ANojdH7cEdQg7zWt3eH
pttkwZGwddgEqZN5C5SWNp+Q2H/iSbuKArXFjY8BOWRqKcpDYxfJiFnpm6K4RGCW
GWIkAz3w6gI+1Qt/YCYLrnJbDK9M77GY9wQ5YXJ3g73vdC4HdueTFIFrnIcIRjeO
+GbkY4wNU3Tr8Vws7G+Jq5Awbr7NWTOL5t7+2MPS+Oan9+d1KVYHppu5eBp6LfeR
vh0ETsDgWN6EBLwZDUBtf3V4pQmvyMyZT8rzmzw2zioQmCYNukvQNaiEBU1QdtX1
gz7wp8pZ3Oo3Af9ytz5RwkDsMJnjXDokVpfOuJmzPcH4T9MDhGHssumDL/L/GcGR
V4Ly/IFF9zeZ4CHXREG/6Ne0wqYIuhnXMwdXVygjVFNJynebpujgxEMbovIi6Bxa
o/oNgMLLAGMIBSVuOW2m
=bqPQ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 09 Feb 2014 07:33:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:32:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.